@import "src/styles/index";
body{
    background: $primary;
} 
.home{
    &_body {
        height: 100vh;
        display: flex;
        &_menu {
            content: "";
            position: fixed;
            right: 0;
            top: 0;
            background:  rgba(0,0,0,0.1);
            border-left: 45px solid rgba(0, 0, 0, 0.7);
            border-top: 45px solid transparent;
            transition: all .3s ease-in;
            cursor: pointer;
            &:hover {
                box-shadow: 0px 2px 120px 0px rgba(0,0,0,0.64);
                border-left-width: 60px;
                border-top-width: 60px;
            }
        }
    }
    &_resume{
        margin: auto;
        text-align: center;
        font-weight: bold;
        .wrapper_img {
            height: 200px;
            width: 200px;
            border-radius: 50%;
            background: white;
            border: 3px solid white;
            margin-left: auto;
            margin-right: auto;
            margin-bottom: 50px;
            position: relative;
            box-shadow: 0px 2px 120px 0px rgba(0,0,0,0.64);
            transition: all .4s ease-in;
            .btn_wa {
                width: 100%;
                height: 100%;
                display: block;
                z-index: 1;
                position: absolute;
                cursor: pointer;
            }
            .icon-wa {
                position: absolute;
                color: white;
                font-size: 0;
                left: 50%;
                top: 50%;
                transform: translate(-50% , -50%);
                transition: all .4s ease-in;
            }
            img {
                border-radius: 50%;
                height: 100%;
                transition: all .4s;
            }
            &:after {
                content: "";
                position: absolute;
                height: 30px;
                width: 30px;
                background: red;
                border: 1px solid white;
                box-shadow: 0px 2px 120px 0px rgba(0,0,0,0.64);
                border-radius: 50%;
                bottom: 0px;
                right: 30px;    
                animation: signal 2s infinite;
                cursor: pointer;
                transition: all .4s ease-in;
            }
            
            &:hover {
                overflow: hidden;
                box-shadow: 0px 2px 170px 20px rgba(0,0,0,0.64);
                border-color: $primary;
                //border-width: 6px;
                img {
                    transform: scale(.99);
                }
                .btn_wa {
                    background: rgba(#000000, .3);
                }
                .icon-wa {
                    font-size: 40px;
                    z-index: 2;
                }
                &:after {
                    display: none;
                    /*animation: none;
                    background: transparent;    
                    margin: auto;
                    right: 0;
                    width: 100%;
                    height: 100%;*/
                }
            }
        }
    }
    &_info {
        margin-bottom: 20px;
    }
    &_social {
        a {
            padding: 10px;
            font-size: 20px;
            color: #000;
            border-top: 1px solid;
            i {
                transition: transform .5s ease-in;
            }
            &:hover {
                i {
                    transform : rotate(360deg);
                }
            }
        }
    }
}

.name {
    width: 100%;
    overflow: hidden;
    white-space: nowrap;
    border-right: 2px solid #7E2EA0;
    animation: typing 5s steps(23, end) , cursor 1.5s steps(12, end) infinite;
}
@keyframes typing {
    from { width: 0 }
}
@keyframes cursor {
    50% { border-color: transparent }
}


.job {
    overflow: hidden;
    animation: shows 5s;
}

@keyframes shows {
    from { transform: scale(0) }
    to { transform: scale(1) }
}

@keyframes signal {
	from {background: white;}
	to {background: red;}
}